Package org.eclipse.emf.cdo.view

## Interface CDOViewOpener

- All Known Subinterfaces:
    `CDONet4jSession`, `CDORepository`, `CDOSession`, `CDOSession`, `CDOTransactionContainer`, `CDOViewContainer`, `InternalCDOSession`

      public interface CDOViewOpener

  Can open new `views`.
  Since:
    4.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOView` | `openView​(java.lang.String durableLockingID, ResourceSet resourceSet)` | Opens and returns a `view` on the given EMF `resource set` by resuming a view that has previously been made durable by calling `CDOView.enableDurableLocking(true)`.
    `CDOView` | `openView​(CDOBranchPoint target, ResourceSet resourceSet)` | Opens and returns a new `view` on the given EMF `resource set`.

- - ### Method Detail

    - #### openView

          CDOView openView​(CDOBranchPoint target,
                           ResourceSet resourceSet)

      Opens and returns a new `view` on the given EMF `resource set`.

    - #### openView

          CDOView openView​(java.lang.String durableLockingID,
                           ResourceSet resourceSet)

      Opens and returns a `view` on the given EMF `resource set` by resuming a view that has previously been made durable by calling `CDOView.enableDurableLocking(true)`.